View Issue Details

IDProjectCategoryView StatusLast Update
15685Bug reports[All Projects] Import/Exportpublic2020-01-15 11:59
ReporterDenisChenu Assigned ToDenisChenu  
PrioritynoneSeverityminor 
Status closedResolutionfixed 
Product Version3.21.2 
Target VersionFixed in Version3.21.3 
Summary15685: Issue when exporting decimal valuein MSSQL
Description

When exporting decimal value with mssql : 0 is not exported and 0.1 is exported as .1
Same in browse response

Steps To Reproduce

Child of https://bugs.limesurvey.org/view.php?id=15684

Use this LSA to export /browse in mssql

TagsNo tags attached.
Complete LimeSurvey version number (& build)3.21.2
I will donate to the project if issue is resolvedNo
Browsernot relevant
Database & DB-Versionsqlsrv SQLserver 12
Server OS (if known)windows
Webserver software & version (if known)IIS
PHP Versionphp7.2

Relationships

related to 15684 closedDenisChenu When reloading decimal value with 0 with MSSQL : 0 disappear 

Activities

DenisChenu

DenisChenu

2019-12-20 17:13

developer  

results-survey687444.csv (202 bytes)
DenisChenu

DenisChenu

2019-12-20 17:43

developer   ~55109

https://github.com/LimeSurvey/LimeSurvey/pull/1354

DenisChenu

DenisChenu

2020-01-08 14:45

developer   ~55155

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=29312

DenisChenu

DenisChenu

2020-01-09 11:54

developer   ~55169

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&id=29318

lime_release_bot

lime_release_bot

2020-01-15 11:59

administrator   ~55273

Fixed in Release 3.21.5+200115

Related Changesets

LimeSurvey: master 2eb78e6c

2020-01-08 14:45:51

DenisChenu


Committer: ollehar Details Diff
[WIP] Dev: Issue with MSSQL and 0 or 0.1 or 0.001 (#1354)

Fixed issue 15684: MSSQL issue reloading decimal value
Fixed issue 15685: Issue when exporting decimal value in MSSQL
Affected Issues
15684, 15685
mod - application/controllers/admin/dataentry.php Diff File
mod - application/helpers/admin/export/SurveyObj.php Diff File
mod - application/helpers/common_helper.php Diff File
mod - application/helpers/expressions/em_core_helper.php Diff File
mod - application/helpers/qanda_helper.php Diff File
mod - application/models/SurveyDynamic.php Diff File

LimeSurvey: master a4e89005

2020-01-09 11:53:57

DenisChenu


Committer: ollehar Details Diff
Fixed issue 15684: When reloading decimal value with 0 with MSSQL : 0 disappear (#1360)

Fixed issue 15685: Issue when exporting decimal value in MSSQL
Affected Issues
15684, 15685
mod - application/controllers/admin/dataentry.php Diff File
mod - application/helpers/admin/export/SurveyObj.php Diff File
mod - application/helpers/common_helper.php Diff File
mod - application/helpers/qanda_helper.php Diff File

Issue History

Date Modified Username Field Change
2019-12-20 17:13 DenisChenu New Issue
2019-12-20 17:13 DenisChenu Status new => assigned
2019-12-20 17:13 DenisChenu Assigned To => DenisChenu
2019-12-20 17:13 DenisChenu File Added: results-survey687444.csv
2019-12-20 17:13 DenisChenu Relationship added related to 15684
2019-12-20 17:43 DenisChenu Note Added: 55109
2020-01-08 14:45 ollehar Changeset attached => LimeSurvey master 2eb78e6c
2020-01-08 14:45 DenisChenu Note Added: 55155
2020-01-08 14:45 DenisChenu Resolution open => fixed
2020-01-09 11:54 ollehar Changeset attached => LimeSurvey master a4e89005
2020-01-09 11:54 DenisChenu Note Added: 55169
2020-01-10 16:18 DenisChenu Status assigned => resolved
2020-01-10 16:18 DenisChenu Fixed in Version => 3.21.3
2020-01-15 11:59 lime_release_bot Note Added: 55273
2020-01-15 11:59 lime_release_bot Status resolved => closed